summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-vcs')
-rw-r--r--dev-vcs/git-sh/git-sh-1.3-r1.ebuild24
-rw-r--r--dev-vcs/git-sh/git-sh-1.3.ebuild31
2 files changed, 24 insertions, 31 deletions
diff --git a/dev-vcs/git-sh/git-sh-1.3-r1.ebuild b/dev-vcs/git-sh/git-sh-1.3-r1.ebuild
new file mode 100644
index 00000000000..54b92f1a878
--- /dev/null
+++ b/dev-vcs/git-sh/git-sh-1.3-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A customized bash environment suitable for git work"
+HOMEPAGE="https://github.com/rtomayko/git-sh"
+SRC_URI="${HOMEPAGE}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="dev-vcs/git"
+
+src_prepare() {
+ default
+ sed -e 's/git-completion\.bash //' \
+ -e 's:/local::' \
+ -i Makefile \
+ || die "sed failed"
+}
diff --git a/dev-vcs/git-sh/git-sh-1.3.ebuild b/dev-vcs/git-sh/git-sh-1.3.ebuild
deleted file mode 100644
index 39b2f16b8bb..00000000000
--- a/dev-vcs/git-sh/git-sh-1.3.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit vcs-snapshot
-
-DESCRIPTION="A customized bash environment suitable for git work"
-HOMEPAGE="https://github.com/rtomayko/git-sh"
-SRC_URI="https://github.com/rtomayko/git-sh/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND=""
-RDEPEND="dev-vcs/git"
-
-src_prepare() {
- sed \
- -e 's/git-completion\.bash //' \
- -e 's:/local::' -i Makefile || die "sed failed"
-}
-
-pkg_postinst() {
- echo
- einfo "For bash completion in git commands emerge dev-vcs/git"
- einfo "with bash-completion USE flag."
- echo
-}